GET
Development Applications
https://www.microburbs.com.au/report_generator/api/property/development
Retrieves information about development applications submitted 1km around the specified property. Categories include industrial, education, new dwelling, subdivision, aged care, utilities, intimate services, or renovation.
Important: The id parameter refers to the property's GNAF ID.
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | text | Required | Property identifier (GnafID) |
| geojson | boolean | Optional | Set to 'true' to include geometric shape data (default: false) |
Response Schema
| Field | Type | Description |
|---|---|---|
| results | array | Array of development applications |
| results[].area_level | string | Level of geographical detail (e.g., 'address') |
| results[].area_name | string | Street address of the development |
| results[].category | string | Category of development (e.g., 'New Dwelling', 'Subdivision', 'Renovation') |
| results[].date | string | Date of the application submission |
| results[].description | string | Detailed description of the development application |
| results[].suburb | string | Suburb name where the development is located |
| results[].geometry | object | GeoJSON geometry data (only included when geojson=true) |
Request Examples
cURL
Python
JavaScript
curl -X GET "https://www.microburbs.com.au/report_generator/api/property/development?suburb=Belmont%20North" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response Example
Response
{
"results": [
{
"area_level": "address",
"area_name": "151 Wommara Avenue",
"category": "New Dwelling",
"date": "Fri, 26 Jan 2024 00:00:00 GMT",
"description": "One storey Two Bedroom Secondary Dwelling - Lake Macquarie City Council CDC/103/2024",
"suburb": "Belmont North"
},
{
"area_level": "address",
"area_name": "96 Violet Town Road",
"category": "Subdivision",
"date": "Tue, 23 Jan 2024 00:00:00 GMT",
"description": "1 into 3 lot Torrens Title Subdivision - Lake Macquarie City Council SWC/3/2024",
"suburb": "Belmont North"
},
{
"area_level": "address",
"area_name": "10 Tulkaba Street",
"category": "New Dwelling",
"date": "Tue, 23 Jan 2024 00:00:00 GMT",
"description": "Staged Development - Attached and Detached Dual Occupancy and Subdivision - Lake Macquarie City Council CC/164/2024",
"suburb": "Belmont North"
},
{
"area_level": "address",
"area_name": "107 Wommara Avenue",
"category": "New Dwelling",
"date": "Tue, 19 Dec 2023 00:00:00 GMT",
"description": "Secondary Dwelling & Retaining Walls and Demolition of Existing Pergola/Shed - Lake Macquarie City Council CDC/802/2023",
"suburb": "Belmont North"
},
{
"area_level": "address",
"area_name": "113 Wommara Avenue",
"category": "Renovation",
"date": "Mon, 18 Dec 2023 00:00:00 GMT",
"description": "Dwelling House - Alterations and Additions and Swimming Pool - Lake Macquarie City Council CC/72/2017/A",
"suburb": "Belmont North"
}
]
}
